import { HTMLAttributes, FC, ElementType } from 'react';
export interface ChipProps extends HTMLAttributes<HTMLElement> {
    /** Utilizzarlo in caso di utilizzo di componenti personalizzati */
    tag?: ElementType;
    /** Classi aggiuntive da usare per il componente Chip */
    className?: string;
    /** Impostarlo su `true` per centrare la label all'interno */
    simple?: boolean;
    /** Impostarlo su `true` per una versione più grande del componente Chip. */
    large?: boolean;
    /** Impostarlo su `true` per renderizzare il componente Chip come disabilitato */
    disabled?: boolean;
    /** Le varianti di colore definite in Bootstrap Italia */
    color?: 'primary' | 'secondary' | 'success' | 'danger' | 'warning' | string;
}
export declare const Chip: FC<ChipProps>;
