import React, { HTMLAttributes, PureComponent } from 'react';
export interface HeaderContentProps extends HTMLAttributes<HTMLElement> {
    /** Classi aggiuntive da usare per il componente HeaderContent */
    className?: string;
    /** Da utilizzare per indicare che all'interno dell'Header verrà utilizzato un Megamenu */
    megamenu?: boolean;
    /** Parametro per il controllo responsive del componente secondo Bootstrap Italia. */
    expand?: boolean | 'sm' | 'md' | 'lg' | 'xl';
}
export declare class HeaderContent extends PureComponent<HeaderContentProps> {
    static contextType: React.Context<{
        type?: "slim" | "center" | "navbar" | undefined;
    }>;
    render(): JSX.Element;
}
