import React, { PureComponent, ElementType, ButtonHTMLAttributes } from 'react';
export interface HeaderTogglerProps extends ButtonHTMLAttributes<HTMLButtonElement> {
    /** Tipo di elemento DOM da utilizzare: di default "a" per Header Slim, "button" per altri tipi di Header.
     * Se fornito questo sovrascriverà il valore di default.
     */
    tag?: ElementType;
    /** Classi aggiuntive da usare per il componente HeaderToggler */
    className?: string;
    /** Indica l'attributo "type" sull'elemento DOM. Di default '' per Header Slim, "button" per altri tipi di Header.
     * Se fornito questo sovrascriverà il valore di default.
     */
    type?: 'button' | 'submit' | 'reset';
}
export declare class HeaderToggler extends PureComponent<HeaderTogglerProps> {
    static contextType: React.Context<{
        type?: "slim" | "navbar" | "center" | undefined;
    }>;
    render(): JSX.Element;
}
