/// <reference types="react" />
import { InputProps } from './Input';
export declare const addTime: (value: string, maxValue: number) => string;
export declare const subtractTime: (value: string, minValue: number) => string;
export declare const formatTime: (value: number | string) => string;
declare type UnusedProps = 'plaintext' | 'onBlur' | 'value' | 'type';
export interface TimeInputProps extends Omit<InputProps, UnusedProps> {
    id: string;
    /** Etichetta della sezione per il controllo delle ore e dei minuti - non visibile a schermo */
    controlsLabel?: string;
    /** Determina l'uso del tema scuro per la sezione di selezione di ore e minuti */
    dark?: boolean;
    /** Il valore del campo */
    value?: string;
    /** Funzione callback */
    onBlur?: (time: string) => void;
    /** Testo esplicativo per dispositivi screen reader */
    srText?: string;
    /** Etichetta del campo per la selezione delle ore -  non visibile a schermo */
    hoursLabel?: string;
    /** Etichetta del campo per la selezione dei minuti -  non visibile a schermo */
    minutesLabel?: string;
    /** Etichetta del bottone per incrementare le ore -  non visibile a schermo */
    increaseHoursLabel?: string;
    /** Etichetta del bottone per incrementare i minuti -  non visibile a schermo */
    increaseMinutesLabel?: string;
    /** Etichetta del bottone per diminuire le ore -  non visibile a schermo */
    decreaseHoursLabel?: string;
    /** Etichetta del bottone per diminuire i minuti -  non visibile a schermo */
    decreaseMinutesLabel?: string;
}
export declare const TimeInput: ({ dark, onBlur, label, controlsLabel, invalid, value, id, placeholder, srText, hoursLabel, minutesLabel, increaseHoursLabel, increaseMinutesLabel, decreaseHoursLabel, decreaseMinutesLabel, ...attributes }: TimeInputProps) => JSX.Element;
export {};
